Subject: RE: [mobile-ip] RFC2002bis

From: "Martin, David P" <[email-masked]>
Date: Mon, 13 Aug 2001 11:54:36 -0400

First of all, I want to thank Charlie for bringing this item up ...

Second of all, we are nearing two million data subscribers using Mobile IP,
today.  Obviously we would expect to have inter-operability between the
current Mobile IP standard and any future enhancements to the standard.

Finally, can someone point me to the original discussion of the
interoperability issue?  I don't recall seeing it come up prior to Charlie's
email.

Thanks.

> -----Original Message-----
> From: Marcello Lioy [mailto:[email-masked]]
> Sent: Monday, August 13, 2001 11:03 AM
> To: [email-masked]; [email-masked]
> Subject: Re: [mobile-ip] RFC2002bis
> 
> 
> At 01:16 8/13/2001, Chae-yong Chong wrote:
> >Hi.
> >
> >This is just an information for you.
> >
> >The IS-835 network is already deployed in Korea on a 
> commercial basis.
> >If you asked that how many subscribers are using Mobile IP 
> service, I am
> >sorry not to give you an exact answer. That answer could be given by
> >some guys of Operators, SK Telecom ro KTF :-)
> >I think you all just consider the situation of North American. :-(
> 
> I know for a fact that the current IS835 deployment in Korea does not 
> support Mobile IP - this will change in short order, as the 
> infrastructure 
> will be upgraded, when the new mobiles will have support for it.
> 
> I did not mean to disregard Korea - It is just that the only 
> large scale 
> M.IP deployment that was immanent was that in the U.S.
> 
> 
> >As far as I know, there is no commercial product for
> >Mobile Node software. Okay. I agree that you could assume that
> >the current deployment in Korea could be regarded to a nothing.
> >(If the number of Mobile IP service subscriber is just trivial)
> >I just write this message to let you know that IS-835 is 
> ALREADY deployed 
> >somewhere :-)
> >
> >Chae-yong
> >
> > > The IS-835 network is not yet deployed on a commercial 
> basis. And you
> > > seem to agree that the above fixes would be good for the 
> spec. Would
> > > make sense to consider making these changes now than 
> later when it is
> > > deployed.
> > >
> > > >-----------------------------------
> > > >Marcello (Wandering through France)
> > > >
> > >
> > > -Basavaraj
> > >
> > >
> 
> -----------------------------------
> Marcello (Wandering through France)
>

---

From: Pat Calhoun <[email-masked]>
Date: Mon, 13 Aug 2001 08:54:03 -0700

> interoperability issue?  I don't recall seeing it come up prior to Charlie's

Everyone that has ever participated in a bakeoff has had to modify their code to
NOT comply with RFC2002 in order to interoperate. RFC 2002 has a bug, and this
new version is intending on fixing that. It is rather unfortunate that RFC 2002 
had this bug, but IMHO anyone that has an implementation which includes this
RFC 2002 bug (SPI) is not compliant and will not interoperate.

Regardless of the service being provided.

As far as support for HMAC-MD5, I don't see a problem. Manufacturers of
Foreign and Home agents that wish to see any product sales will support
prefix+suffix MD5 to support the existing RFC 2002 installed base. Of course,
these same products should allow for a switch to turn off support for
prefix+suffix MD5 in order to protect itself again possible attacks.

My 2 cents,

PatC